Bug 5970 - Adds the ability to use a free delivery address for basket
Summary: Adds the ability to use a free delivery address for basket
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5580
  Show dependency treegraph
 
Reported: 2011-03-28 11:51 UTC by Julian Maurice
Modified: 2012-10-25 23:03 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Patch from BibLibre (11.03 KB, patch)
2011-03-28 11:54 UTC, Julian Maurice
Details | Diff | Splinter Review
Signed off patch (11.20 KB, patch)
2011-04-04 15:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Follow-up for kohastructure.sql (946 bytes, patch)
2011-04-04 15:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2011-03-28 11:51:14 UTC
When editing a basket group, user can choose a library for delivery place, or enter address of his choice in a text field.
Comment 1 Julian Maurice 2011-03-28 11:54:04 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-03-28 20:11:46 UTC
Sometimes, libraries want orders to be delivered at an address that is                                
not one of the libraries in branches table.                                                           
This field let the user enter manually the address.                                                   
It can also be used to add some delivery comment, like "deliver between                               
10AM and 5PM, 2nd floor, building V32"
Comment 3 Katrin Fischer 2011-04-04 14:55:40 UTC
The patch applies and works, but needs a follow up to add the changes to kohastructure.pl.
Comment 4 Katrin Fischer 2011-04-04 15:04:49 UTC
Created attachment 3640 [details] [review]
Signed off patch
Comment 5 Katrin Fischer 2011-04-04 15:05:33 UTC
Created attachment 3641 [details] [review]
Follow-up for kohastructure.sql
Comment 6 Chris Cormack 2011-04-05 03:13:04 UTC
Patches pushed, please test